using System;

internal sealed class Delegate558 : MulticastDelegate
{
	public extern void Invoke(object object_0, EventHandler eventHandler_0);

	public static void smethod_0(object object_0, EventHandler eventHandler_0, Delegate558 delegate558_1)
	{
		delegate558_1(object_0, eventHandler_0);
	}

	public extern Delegate558(object object_0, IntPtr intptr_0);

	static Delegate558()
	{
		Class10.smethod_13(typeof(Delegate558).TypeHandle);
	}

	internal static Delegate558 delegate558_0;
}
